org.eclipse.rdf4j.federated.evaluation.iterator

## Class StatementConversionIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<BindingSet,QueryEvaluationException>
  - - org.eclipse.rdf4j.federated.evaluation.iterator.StatementConversionIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class StatementConversionIteration
      extends AbstractCloseableIteration<BindingSet,QueryEvaluationException>

  Converts Statement iteration (i.e. RepositoryResult) into the corresponding binding set. Note that exceptions are converted appropriately as well.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BindingSet` | `bindings`
    `protected RepositoryResult<Statement>` | `repoResult`
    `protected StatementPattern` | `stmt`
    `protected boolean` | `updateContext`
    `protected boolean` | `updateObj`
    `protected boolean` | `updatePred`
    `protected boolean` | `updateSubj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatementConversionIteration(RepositoryResult<Statement> repoResult, BindingSet bindings, StatementPattern stmt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BindingSet` | `convert(Statement st)`
    `protected QueryEvaluationException` | `convertException(Exception e)`
    `protected void` | `handleClose()` Called by `AbstractCloseableIteration.close()` when it is called for the first time.
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `protected void` | `init()`
    `BindingSet` | `next()` Returns the next element in the iteration.
    `void` | `remove()` Removes from the underlying collection the last element returned by the iteration (optional operation).

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### repoResult

          protected final RepositoryResult<Statement> repoResult

    - #### bindings

          protected final BindingSet bindings

    - #### stmt

          protected final StatementPattern stmt

    - #### updateSubj

          protected boolean updateSubj

    - #### updatePred

          protected boolean updatePred

    - #### updateObj

          protected boolean updateObj

    - #### updateContext

          protected boolean updateContext

  - ### Constructor Detail

    - #### StatementConversionIteration

          public StatementConversionIteration(RepositoryResult<Statement> repoResult,
                                              BindingSet bindings,
                                              StatementPattern stmt)

  - ### Method Detail

    - #### init

          protected void init()

    - #### hasNext

          public boolean hasNext()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iteration.next()` would return an element rather than throwing a `NoSuchElementException`.)
      Returns:
        `true` if the iteration has more elements.
      Throws:
        `QueryEvaluationException`

    - #### next

          public BindingSet next()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Returns:
        the next element in the iteration.
      Throws:
        `QueryEvaluationException`

    - #### remove

          public void remove()
                      throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Removes from the underlying collection the last element returned by the iteration (optional operation). This method can be called only once per call to next.
      Throws:
        `QueryEvaluationException`

    - #### handleClose

          protected void handleClose()
                              throws QueryEvaluationException

      Description copied from class: `AbstractCloseableIteration`
      Called by `AbstractCloseableIteration.close()` when it is called for the first time. This method is only called once on each iteration. By default, this method does nothing.
      Overrides:
        `handleClose` in class `AbstractCloseableIteration<BindingSet,QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

    - #### convert

          protected BindingSet convert(Statement st)

    - #### convertException

          protected QueryEvaluationException convertException(Exception e)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.